RASM2(1)

NAME
rasm2 - radare2 patch assembler and disassembler

SYNOPSIS
rasm2 [-dfBCLeV] [-o offset] [-a arch] [-b bits] [-s syntax] [ARG]

DESCRIPTION
TODO: This manpage is incomplete.

-d  Disassemble hexpairs. rasm2 -d 9090

-f  Read data from file instead of ARG.

-o offset
    Offset of the opcode to assemble

-e  Use big endian

-b bits
    Specify bit size of registers: 8, 16, 32, 64

-a arch
    Set a different architecture (x86, ppc, arm, java)

-h
Show usage help message.

SEE ALSO

radare2(1), rafind2(1), rahash2(1), rabin2(1), ranal2(1), radiff2(1), rarc2(1), rarc2-tool(1), rasc2(1), rax2(1),

AUTHORS

pancake <pancake@nopcode.org>, nibble <nibble@develsec.org>